package com.liquidnet.service.chime.controller;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.chime.dto.ChimeUserInfoDto;
import com.liquidnet.service.chime.dto.PerformanceDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 演出相关
 * @class: ChimePerformanceController
 * @Package com.liquidnet.service.chime.controller
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/6 11:43
 */
@Api(tags = "在场-演出相关")
@RestController
@RequestMapping("performance")
@Validated
public class ChimePerformanceController {
    @GetMapping("myPerformanceList")
    @ApiOperation("已购票的演出")
    @ApiImplicitParams({
            @ApiImplicitParam(type = "query", dataType = "String", name = "userId", value = "用户id", required = true),
            @ApiImplicitParam(type = "query", dataType = "int", name = "page", value = "页码",required = true),
            @ApiImplicitParam(type = "query", dataType = "int", name = "size", value = "每页数量"),
            @ApiImplicitParam(type = "query", dataType = "String", name = "orderBy", value = "排序字段 时间timeStart"),
            @ApiImplicitParam(type = "query", dataType = "String", name = "sort", value = "排序方式[DESC ASC]"),
    })
    public ResponseDto<PerformanceDto> myPerformanceList(
            @RequestParam(defaultValue = "") String userId,
            @RequestParam(defaultValue = "1") int page,
            @RequestParam(defaultValue = "10") int size,
            @RequestParam(defaultValue = "") String orderBy,
            @RequestParam(defaultValue = "") String sort
    ) {
//        HashMap<String, Object> result = kylinPerformancesService.localList(
//                days, cityName, type,
//                isDiscount, isAdvance, isExclusive,
//                orderBy, sort
//        );
//        return ResponseDto.success(result);
        return null;
    }

    @GetMapping("localPerformanceList")
    @ApiOperation("本地最近演出列表")
    @ApiImplicitParams({
            @ApiImplicitParam(type = "query", dataType = "String", name = "cityName", value = "城市名称", required = true),
            @ApiImplicitParam(type = "query", dataType = "int", name = "page", value = "页码",required = true),
            @ApiImplicitParam(type = "query", dataType = "int", name = "size", value = "每页数量"),
            @ApiImplicitParam(type = "query", dataType = "String", name = "orderBy", value = "排序字段 时间timeStart"),
            @ApiImplicitParam(type = "query", dataType = "String", name = "sort", value = "排序方式[DESC ASC]"),
    })
    public ResponseDto<PerformanceDto> localPerformanceList(
            @RequestParam(defaultValue = "") String cityName,
            @RequestParam(defaultValue = "") String userId,
            @RequestParam(defaultValue = "1") int page,
            @RequestParam(defaultValue = "10") int size,
            @RequestParam(defaultValue = "") String orderBy,
            @RequestParam(defaultValue = "") String sort
    ) {
//        HashMap<String, Object> result = kylinPerformancesService.localList(
//                days, cityName, type,
//                isDiscount, isAdvance, isExclusive,
//                orderBy, sort
//        );
//        return ResponseDto.success(result);
        return null;
    }

    @GetMapping("getUserListByCon")
    @ApiOperation("查询用户列表")
    @ApiImplicitParams({
            @ApiImplicitParam(type = "query", dataType = "String", name = "cityName", value = "城市名称", required = true),
            @ApiImplicitParam(type = "query", dataType = "String", name = "sex", value = "性别", required = true),
            @ApiImplicitParam(type = "query", dataType = "int", name = "page", value = "页码",required = true),
            @ApiImplicitParam(type = "query", dataType = "int", name = "size", value = "每页数量"),
            @ApiImplicitParam(type = "query", dataType = "String", name = "orderBy", value = "排序字段 时间timeStart"),
            @ApiImplicitParam(type = "query", dataType = "String", name = "sort", value = "排序方式[DESC ASC]"),
    })
    public ResponseDto<ChimeUserInfoDto> getUserListByCon(
            @RequestParam(defaultValue = "") String cityName,
            @RequestParam(defaultValue = "") String userId,
            @RequestParam(defaultValue = "1") int page,
            @RequestParam(defaultValue = "10") int size,
            @RequestParam(defaultValue = "") String orderBy,
            @RequestParam(defaultValue = "") String sort
    ) {
//        HashMap<String, Object> result = kylinPerformancesService.localList(
//                days, cityName, type,
//                isDiscount, isAdvance, isExclusive,
//                orderBy, sort
//        );
//        return ResponseDto.success(result);
        return null;
    }

}
